# \TransactionsAPI

All URIs are relative to *https://svc.blockdaemon.com/universal/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetTxByHash**](TransactionsAPI.md#GetTxByHash) | **Get** /{protocol}/{network}/tx/{hash} | Get a Transaction
[**GetTxConfirmations**](TransactionsAPI.md#GetTxConfirmations) | **Get** /{protocol}/{network}/tx/{hash}/confirmations | Get the Transaction Confirmations
[**GetTxOutputByHashAndIndex**](TransactionsAPI.md#GetTxOutputByHashAndIndex) | **Get** /{protocol}/{network}/tx/{hash}/{index} | Get a Transaction Output by Hash and Index
[**GetTxs**](TransactionsAPI.md#GetTxs) | **Get** /{protocol}/{network}/txs | Get a List of Transactions
[**GetTxsByAddress**](TransactionsAPI.md#GetTxsByAddress) | **Get** /{protocol}/{network}/account/{address}/txs | Get a List of Transactions for a Given Address
[**GetUTXOByAccount**](TransactionsAPI.md#GetUTXOByAccount) | **Get** /{protocol}/{network}/account/{address}/utxo | Get a List of Transaction Inputs and Outputs
[**TxCreate**](TransactionsAPI.md#TxCreate) | **Post** /{protocol}/{network}/tx/create | Create an Unsigned Transaction
[**TxSend**](TransactionsAPI.md#TxSend) | **Post** /{protocol}/{network}/tx/send | Submit a Signed Transaction



## GetTxByHash

> Tx GetTxByHash(ctx, protocol, network, hash).Execute()

Get a Transaction



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | Protocol handle, one of: `algorand`, `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `fantom`, `litecoin`, `optimism`, `polkadot`, `polygon`, `solana`, `stellar` `tezos`, `xrp`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    hash := "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a" // string | The transaction hash. (default to "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a")

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.GetTxByHash(context.Background(), protocol, network, hash).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.GetTxByHash``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetTxByHash`: Tx
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.GetTxByHash`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | Protocol handle, one of: &#x60;algorand&#x60;, &#x60;avalanche&#x60;, &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;ethereum&#x60;, &#x60;fantom&#x60;, &#x60;litecoin&#x60;, &#x60;optimism&#x60;, &#x60;polkadot&#x60;, &#x60;polygon&#x60;, &#x60;solana&#x60;, &#x60;stellar&#x60; &#x60;tezos&#x60;, &#x60;xrp&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]
**hash** | **string** | The transaction hash. | [default to &quot;71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiGetTxByHashRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




### Return type

[**Tx**](Tx.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## GetTxConfirmations

> TxConfirmation GetTxConfirmations(ctx, protocol, network, hash).Execute()

Get the Transaction Confirmations



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | Protocol handle, one of: `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `fantom`, `litecoin`, `optimism`, `polkadot`, `polygon`, `tezos`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    hash := "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a" // string | The transaction hash. (default to "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a")

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.GetTxConfirmations(context.Background(), protocol, network, hash).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.GetTxConfirmations``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetTxConfirmations`: TxConfirmation
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.GetTxConfirmations`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | Protocol handle, one of: &#x60;avalanche&#x60;, &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;ethereum&#x60;, &#x60;fantom&#x60;, &#x60;litecoin&#x60;, &#x60;optimism&#x60;, &#x60;polkadot&#x60;, &#x60;polygon&#x60;, &#x60;tezos&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]
**hash** | **string** | The transaction hash. | [default to &quot;71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiGetTxConfirmationsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




### Return type

[**TxConfirmation**](TxConfirmation.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## GetTxOutputByHashAndIndex

> TxOutput GetTxOutputByHashAndIndex(ctx, protocol, network, hash, index).Execute()

Get a Transaction Output by Hash and Index



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | Protocol handle, one of: `bitcoin`, `bitcoincash`, `dogecoin`, `litecoin`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    hash := "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a" // string | The transaction hash. (default to "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a")
    index := int32(0) // int32 | The transaction output index. (default to 0)

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.GetTxOutputByHashAndIndex(context.Background(), protocol, network, hash, index).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.GetTxOutputByHashAndIndex``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetTxOutputByHashAndIndex`: TxOutput
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.GetTxOutputByHashAndIndex`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | Protocol handle, one of: &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;litecoin&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]
**hash** | **string** | The transaction hash. | [default to &quot;71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a&quot;]
**index** | **int32** | The transaction output index. | [default to 0]

### Other Parameters

Other parameters are passed through a pointer to a apiGetTxOutputByHashAndIndexRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





### Return type

[**TxOutput**](TxOutput.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## GetTxs

> TxPage GetTxs(ctx, protocol, network).BlockHash(blockHash).BlockNumber(blockNumber).Assets(assets).Order(order).PageToken(pageToken).PageSize(pageSize).Execute()

Get a List of Transactions



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | Protocol handle, one of: `algorand`, `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `fantom` `litecoin`, `optimism`, `polkadot`, `polygon`, `stellar` `tezos`, `xrp`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    blockHash := "0x2444165297806ad5598e4569e5823b3df0cde3e48b346781ab632fa6cef1a0ec" // string | Filter by block hash. You can specify only one block hash at a time. (optional)
    blockNumber := int32(789387) // int32 | Filter by block number. (optional)
    assets := "ethereum/native/eth" // string | Comma-separated list of asset paths to filter. If the list is empty, or all elements are empty, this filter has no effect. Find all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens). (optional)
    order := "order_example" // string | The pagination order. (optional) (default to "desc")
    pageToken := "8185.123" // string | The token to retrieve more items in the next request. Use the `next_page_token` returned from the previous response for this parameter. (optional)
    pageSize := int32(25) // int32 | Max number of items to return in a response. Defaults to 25 and is capped at 100.  (optional)

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.GetTxs(context.Background(), protocol, network).BlockHash(blockHash).BlockNumber(blockNumber).Assets(assets).Order(order).PageToken(pageToken).PageSize(pageSize).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.GetTxs``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetTxs`: TxPage
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.GetTxs`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | Protocol handle, one of: &#x60;algorand&#x60;, &#x60;avalanche&#x60;, &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;ethereum&#x60;, &#x60;fantom&#x60; &#x60;litecoin&#x60;, &#x60;optimism&#x60;, &#x60;polkadot&#x60;, &#x60;polygon&#x60;, &#x60;stellar&#x60; &#x60;tezos&#x60;, &#x60;xrp&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiGetTxsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **blockHash** | **string** | Filter by block hash. You can specify only one block hash at a time. | 
 **blockNumber** | **int32** | Filter by block number. | 
 **assets** | **string** | Comma-separated list of asset paths to filter. If the list is empty, or all elements are empty, this filter has no effect. Find all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens). | 
 **order** | **string** | The pagination order. | [default to &quot;desc&quot;]
 **pageToken** | **string** | The token to retrieve more items in the next request. Use the &#x60;next_page_token&#x60; returned from the previous response for this parameter. | 
 **pageSize** | **int32** | Max number of items to return in a response. Defaults to 25 and is capped at 100.  | 

### Return type

[**TxPage**](TxPage.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## GetTxsByAddress

> TxPage GetTxsByAddress(ctx, protocol, network, address).Assets(assets).From(from).To(to).Order(order).PageToken(pageToken).PageSize(pageSize).Execute()

Get a List of Transactions for a Given Address



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | The protocol handle, one of: `algorand`, `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `fantom`, `litecoin`, `optimism`, `polkadot`, `polygon`, `solana`, `tezos`, `stellar`, `xrp`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    address := "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa" // string | The account address of the protocol. (default to "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa")
    assets := "ethereum/native/eth" // string | Comma-separated list of asset paths to filter. If the list is empty, or all elements are empty, this filter has no effect. Find all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens). (optional)
    from := int32(961846434) // int32 | Unix Timestamp from where to start (optional)
    to := int32(1119612834) // int32 | Unix Timestamp from where to end (optional)
    order := "order_example" // string | The pagination order. (optional) (default to "desc")
    pageToken := "8185.123" // string | The token to retrieve more items in the next request. Use the `next_page_token` returned from the previous response for this parameter. (optional)
    pageSize := int32(25) // int32 | Max number of items to return in a response. Defaults to 25 and is capped at 100.  (optional)

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.GetTxsByAddress(context.Background(), protocol, network, address).Assets(assets).From(from).To(to).Order(order).PageToken(pageToken).PageSize(pageSize).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.GetTxsByAddress``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetTxsByAddress`: TxPage
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.GetTxsByAddress`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | The protocol handle, one of: &#x60;algorand&#x60;, &#x60;avalanche&#x60;, &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;ethereum&#x60;, &#x60;fantom&#x60;, &#x60;litecoin&#x60;, &#x60;optimism&#x60;, &#x60;polkadot&#x60;, &#x60;polygon&#x60;, &#x60;solana&#x60;, &#x60;tezos&#x60;, &#x60;stellar&#x60;, &#x60;xrp&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]
**address** | **string** | The account address of the protocol. | [default to &quot;1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiGetTxsByAddressRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **assets** | **string** | Comma-separated list of asset paths to filter. If the list is empty, or all elements are empty, this filter has no effect. Find all the asset paths on this [page](https://docs.blockdaemon.com/reference/available-currencies-and-tokens). | 
 **from** | **int32** | Unix Timestamp from where to start | 
 **to** | **int32** | Unix Timestamp from where to end | 
 **order** | **string** | The pagination order. | [default to &quot;desc&quot;]
 **pageToken** | **string** | The token to retrieve more items in the next request. Use the &#x60;next_page_token&#x60; returned from the previous response for this parameter. | 
 **pageSize** | **int32** | Max number of items to return in a response. Defaults to 25 and is capped at 100.  | 

### Return type

[**TxPage**](TxPage.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## GetUTXOByAccount

> TxOutputs GetUTXOByAccount(ctx, protocol, network, address).Spent(spent).CheckMempool(checkMempool).From(from).To(to).Order(order).PageToken(pageToken).PageSize(pageSize).Execute()

Get a List of Transaction Inputs and Outputs



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | The protocol handle, one of: `bitcoin`, `bitcoincash`, `dogecoin`, `litecoin`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    address := "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa" // string | The account address of the protocol. (default to "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa")
    spent := true // bool | Whether the transaction output was spent or not. (optional)
    checkMempool := true // bool | Whether to check for UTXOs spent in the mempool as well as UTXOs pending in the mempool. (optional)
    from := int32(961846434) // int32 | The Unix Timestamp from where to start. (optional)
    to := int32(1119612834) // int32 | The Unix Timestamp from where to end. (optional)
    order := "order_example" // string | The pagination order. (optional) (default to "desc")
    pageToken := "8185.123" // string | The token to retrieve more items in the next request. Use the `next_page_token` returned from the previous response for this parameter. (optional)
    pageSize := int32(1000) // int32 | The max number of items to return in a response Defaults to 50k and is capped at 100k.  (optional)

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.GetUTXOByAccount(context.Background(), protocol, network, address).Spent(spent).CheckMempool(checkMempool).From(from).To(to).Order(order).PageToken(pageToken).PageSize(pageSize).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.GetUTXOByAccount``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `GetUTXOByAccount`: TxOutputs
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.GetUTXOByAccount`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | The protocol handle, one of: &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;litecoin&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]
**address** | **string** | The account address of the protocol. | [default to &quot;1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiGetUTXOByAccountRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **spent** | **bool** | Whether the transaction output was spent or not. | 
 **checkMempool** | **bool** | Whether to check for UTXOs spent in the mempool as well as UTXOs pending in the mempool. | 
 **from** | **int32** | The Unix Timestamp from where to start. | 
 **to** | **int32** | The Unix Timestamp from where to end. | 
 **order** | **string** | The pagination order. | [default to &quot;desc&quot;]
 **pageToken** | **string** | The token to retrieve more items in the next request. Use the &#x60;next_page_token&#x60; returned from the previous response for this parameter. | 
 **pageSize** | **int32** | The max number of items to return in a response Defaults to 50k and is capped at 100k.  | 

### Return type

[**TxOutputs**](TxOutputs.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## TxCreate

> UnsignedTx TxCreate(ctx, protocol, network).TxCreate(txCreate).Execute()

Create an Unsigned Transaction



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | Protocol handle, one of: `avalanche`, `bitcoin`, `ethereum`, `dogecoin`, `fantom`, `polkadot`, `polygon`, `solana`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    txCreate := *openapiclient.NewTxCreate("31c129468975e4ef41135a405000e6428a399a03d023b6627eed4cb95faf19ca", []openapiclient.TxDestination{*openapiclient.NewTxDestination("mkHS9ne12qx9pS9VojpwU5xtRd4T7X7ZUt", "0.00010")}) // TxCreate | 

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.TxCreate(context.Background(), protocol, network).TxCreate(txCreate).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.TxCreate``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `TxCreate`: UnsignedTx
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.TxCreate`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | Protocol handle, one of: &#x60;avalanche&#x60;, &#x60;bitcoin&#x60;, &#x60;ethereum&#x60;, &#x60;dogecoin&#x60;, &#x60;fantom&#x60;, &#x60;polkadot&#x60;, &#x60;polygon&#x60;, &#x60;solana&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiTxCreateRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **txCreate** | [**TxCreate**](TxCreate.md) |  | 

### Return type

[**UnsignedTx**](UnsignedTx.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## TxSend

> TxReceipt TxSend(ctx, protocol, network).SignedTx(signedTx).Execute()

Submit a Signed Transaction



### Example

```go
package main

import (
    "context"
    "fmt"
    "os"
    openapiclient "./openapi"
)

func main() {
    protocol := "bitcoin" // string | Protocol handle, one of: `algorand`, `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `fantom`, `litecoin`, `optimism`, `polkadot`, `polygon`, `solana`.  (default to "bitcoin")
    network := "mainnet" // string | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. (default to "mainnet")
    signedTx := *openapiclient.NewSignedTx("0100000001ca19af5fb94ced7e62b623d0039a398a42e60050405a1341efe475894629c131010000008b483045022100d77b002b3142013b3f825a730f5bc3ead2014266f07ba4449269af0cf6f086310220365bca1d616ba86fac42ad69efd5f92c5ed6cf16f27ebf5ab55010efc72c219d014104417eb0abe69db2eca63c84eb44266c29c24973dc81cde16ca86c9d923630cb5f797bae7d7fab13498e06146111356eb271da74add05ebda8f72ff2b2878fddb7ffffffff0410270000000000001976a914344a0f48ca150ec2b903817660b9b68b13a6702688ac204e0000000000001976a914344a0f48ca150ec2b903817660b9b68b13a6702688ac30750000000000001976a914344a0f48ca150ec2b903817660b9b68b13a6702688ac48710000000000001976a914d6fa8814924b480fa7ff903b5ef61100ab4d92fe88ac00000000") // SignedTx | 

    configuration := openapiclient.NewConfiguration()
    api_client := openapiclient.NewAPIClient(configuration)
    resp, r, err := api_client.TransactionsAPI.TxSend(context.Background(), protocol, network).SignedTx(signedTx).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.TxSend``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    }
    // response from `TxSend`: TxReceipt
    fmt.Fprintf(os.Stdout, "Response from `TransactionsAPI.TxSend`: %v\n", resp)
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**protocol** | **string** | Protocol handle, one of: &#x60;algorand&#x60;, &#x60;avalanche&#x60;, &#x60;bitcoin&#x60;, &#x60;bitcoincash&#x60;, &#x60;dogecoin&#x60;, &#x60;ethereum&#x60;, &#x60;fantom&#x60;, &#x60;litecoin&#x60;, &#x60;optimism&#x60;, &#x60;polkadot&#x60;, &#x60;polygon&#x60;, &#x60;solana&#x60;.  | [default to &quot;bitcoin&quot;]
**network** | **string** | Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}. | [default to &quot;mainnet&quot;]

### Other Parameters

Other parameters are passed through a pointer to a apiTxSendRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **signedTx** | [**SignedTx**](SignedTx.md) |  | 

### Return type

[**TxReceipt**](TxReceipt.md)

### Authorization

[apiKeyAuthHeader](../README.md#apiKeyAuthHeader), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

